<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <title>webkit2gtk-actor-tiles</title>
    <style>
    pre code {
      background: black;
      color: white;
      display: inline-block;
      padding: .2rem;
      border-radius: .2rem;
    }
    </style>
  </head>
  <body>
    
    <main role="main" class="container" style="margin-top: 40px; margin-bottom: 40px">
      <h2>webkit2gtk-actor-tiles <small class="text-muted">manual</small></h2>
      <h3><span class="badge badge-info">medium</span></h3>

      <div class="card" style="margin-top: 20px">
	<div class="card-body">
	  <dl class="row">
	    <dt class="col-sm-3">Image Types:</dt>
	    <dd class="col-sm-9">basesdk-amd64 / hmi-amd64 / sdk-amd64</dd>
	    <dt class="col-sm-3">Image Deployment:</dt>
	    <dd class="col-sm-9">APT</dd>
	    <dt class="col-sm-3">Type:</dt>
	    <dd class="col-sm-9">functional</dd>
	  </dl>

      <h4>Description</h4>
      <p>Test implementation of actor-based tiled backing store in webkit2gtk.</p>

      
      <hr />
      <h4>Resources</h4>
      <ul>
      
      <li>Mouse or touchscreen.</li>
      
      </ul>
      

      
      <hr />
      <h4>Pre Conditions</h4>
      <ol>
      
      
  <li class="mb-sm-2">Ensure Rootfs is remounted as read/write.</li>
  <pre><code>$ sudo mount -o remount,rw /</code></pre>
  <li class="mb-sm-2">Install dependencies</li>
  <pre><code>$ sudo apt install webkit2gtk-testing</code></pre>
  <li class="mb-sm-2">Restart the system to restore the filesystem state to read-only before running the test.</li>
  <pre><code>$ sudo reboot</code></pre>

      
      
      
      </ol>
      

      <hr />
      <h4>Execution Steps</h4>
      <ol>
      
      <li class="mb-sm-2">Launch the test application with each URL in resources with and without CLUTTER_PAINT=paint-volumes:</li>
      
      
      
      
      
      
      <pre><code>$ env CLUTTER_PAINT=paint-volumes GtkClutterLauncher file:///usr/share/webkit2gtk/testing/actor-tiles-test.html</code></pre>
      
      
      
      
      <li class="mb-sm-2">Check that the rendering of the page matches the reference in the results section.</li>
      
      
      
      
      
      <li class="mb-sm-2">Click the link that will scroll the page a bit</li>
      
      
      
      
      
      <li class="mb-sm-2">Check that the rendering of the page matches the reference in the results section</li>
      
      
      
      
      
      <li class="mb-sm-2">Click the link that will scroll to the very bottom</li>
      
      
      
      
      
      <li class="mb-sm-2">Check that the rendering of the page matches the reference in the results section</li>
      
      
      
      
      
      <li class="mb-sm-2">Click the first link that will take you to a different page</li>
      
      
      
      
      
      <li class="mb-sm-2">Check that the rendering of the page matches the reference in the results section</li>
      
      
      
      
      
      <li class="mb-sm-2">Click the back button of the browser</li>
      
      
      
      
      
      <li class="mb-sm-2">Check that the rendering of the page matches the reference in the results section</li>
      
      
      
      
      
      <li class="mb-sm-2">Click the second link, that will send you to the bottom</li>
      
      
      
      
      
      <li class="mb-sm-2">Follow the links again until you get to the end of the page again, always making sure the rendering matches the reference rendering</li>
      
      
      
      
      
      <li class="mb-sm-2">Open the following link and verify the page is loaded with no glaring errors:</li>
      
      
      
      
      
      
      
      
      
      <p><a href="https://apertis.org">https://apertis.org</a></p>
      
      </ol>

      <hr />
      <h4>Expected</h4>
      
      <p class="mt-sm-3">This test will be considered a PASS if it works with at least one of mouse or touchpad because this is not a test for the mouse or touchpad working.</p>
      
      
      
      
      
      <p class="mt-sm-3">The page will look like this after the first load:</p>
      
      
      
      
      
      
      
      
      <img src="images/Actor-tiles-01.png" class="img-fluid">
      
      
      <p class="mt-sm-3">After clicking the first link the page will look like this:</p>
      
      
      
      
      
      
      
      
      <img src="images/Actor-tiles-02.png" class="img-fluid">
      
      
      <p class="mt-sm-3">After clicking the second link the page will look like this:</p>
      
      
      
      
      
      
      
      
      <img src="images/Actor-tiles-03.png" class="img-fluid">
      
      
      <p class="mt-sm-3">The new page that will be loaded looks like this:</p>
      
      
      
      
      
      
      
      
      <img src="images/Actor-tiles-04.png" class="img-fluid">
      
      
      <p class="mt-sm-3">Going back should give you the same rendering you had before clicking the link to the new page, except the link will be colored purple.</p>
      
      
      
      
      
      
      
      
      <img src="images/Actor-tiles-05.png" class="img-fluid">
      
      
      <p class="mt-sm-3">After clicking the link that will take you to the beginning of the page and repeating the process, the renderings should be the same as the ones above.</p>
      
      
      
      
      
      <p class="mt-sm-3">Note that when a page starts loading some of the tiles may contain a checker board; that is normal, but we plan to improve on it.</p>
      
      
      
      
      

      

	</div>
      </div>

      
    </main>

  </body>
</html>